Forum

Notifications
Clear all

Unblock-Us site not using TLS 1.2  

  RSS

Joe Preiser
(@joepreiser)
New Member
Joined: 2 years ago
Posts: 3
March 31, 2020 10:47 EDT AM  

When trying to view Unblock-Us using Firefox v74.0 (on macOS Catalina), I get an interesting error.

Secure Connection Failed

An error occurred during a connection to www.unblock-us.com. Peer using unsupported version of security protocol.

Error code: SSL_ERROR_UNSUPPORTED_VERSION

The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
Please contact the website owners to inform them of this problem.

Learn more…

This website might not support the TLS 1.2 protocol, which is the minimum version supported by Firefox. Enabling TLS 1.0 and TLS 1.1 might allow this connection to succeed.

TLS 1.0 and TLS 1.1 will be permanently disabled in a future release.

Safari didn't (yet) give a similar warning.

It looks like Mozilla announced they were going to do this back in October 2018 so let's hope Unblock-Us updates before this becomes a real problem after the other browsers follow suit.

[Edit: It looks like Safari is showing the site as "Not Secure" instead of giving the error Firefox did.]


Quote
Share: